MP4(3)

NAME

MP4AddSceneTrack - Add a scene (BIFS) track

SYNTAX

#include <mp4.h>

MP4TrackId MP4AddSceneTrack(
    MP4FileHandle hFile
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

RETURN VALUES

Upon success, the track id of the new track. Upon an error, MP4_INVALID_TRACK_ID.

DESCRIPTION

MP4AddSceneTrack adds a scene (aka BIFS) track to the mp4 file. MP4WriteSample() can then be used to add the desired BIFS commands to the track. The burden is currently on the calling application to understand BIFS.

Those wishing to have a simple audio/video scene without understanding BIFS may wish to use MP4MakeIsmaCompliant() to create the minimal OD and BIFS information.

SEE ALSO

MP4(3)